####################################################################
#    CMFSubversionBrowser
#    Copyright (C) 2002-2004 kapil thangavelu <k_vertigo@objectrealms.net>
#
#    This product is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    This product is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this product; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
####################################################################
"""
Purpose: Allow script access to guess content type method from OFS
Author: kapil thangavelu <k_vertigo@objectrealms.net>
$Id: CMFSubversionBrowser.py,v 1.3 2003/02/28 05:10:01 k_vertigo Exp $
"""

from AccessControl.SecurityInfo import ModuleSecurityInfo
from OFS.content_types import guess_content_type

security = ModuleSecurityInfo('Products.CMFSubversionBrowser.Script')
security.declarePublic('guess_content_type')

security.apply(globals())


